variables:
  DOCKER_DRIVER: overlay2

services:
  - docker:stable-dind

stages:
  - build
  - test

include:
  - template: Container-Scanning.gitlab-ci.yml

before_script:
  - docker info
  - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

.build_aws_image:
  image: docker:stable
  stage: build aws
  variables:
      IMAGE: $CI_REGISTRY_IMAGE/aws:$CI_COMMIT_SHA
  script:
    - docker build -t $IMAGE ./aws
    - docker push $IMAGE

.build_nvm_image:
  image: docker:stable
  stage: build nvm
  variables:
      IMAGE: $CI_REGISTRY_IMAGE/nvm:$CI_COMMIT_SHA
  script:
    - docker build -t $IMAGE ./nvm
    - docker push $IMAGE

.build_yarn_image:
  image: docker:stable
  stage: build yarn
  variables:
      IMAGE: $CI_REGISTRY_IMAGE/yarn:$CI_COMMIT_SHA
  script:
    - docker build -t $IMAGE ./yarn
    - docker push $IMAGE

build web-projects image:
  image: docker:stable
  stage: build
  variables:
      IMAGE: $CI_REGISTRY_IMAGE/web-projects-builder:$CI_COMMIT_SHA
  script:
    - docker build -t $IMAGE ./web-projects
    - docker push $IMAGE
